ByCloud Docs
GuidesCLIAPISDK
get/v1/database-backups/{database_backup_id}

Get database backup

Get details of a specific database backup

Path Parameters

database_backup_id

string<uuid>required

path

Database Backup ID

Example: "550e8400-e29b-41d4-a716-446655440000"

Responses

200

Database backup details

Content-Type: application/json

database_backup

objectoptional
401

Authentication required or token invalid

Content-Type: application/json

error

objectrequired
404

Resource not found

Content-Type: application/json

error

objectrequired
500

Internal server error

Content-Type: application/json

error

objectrequired
curl -X GET "https://api.spo1.mycloud.com/v1/database-backups/550e8400-e29b-41d4-a716-446655440000" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json"

Response

Database backup details

{
"database_backup": {
"id": "550e8400-e29b-41d4-a716-446655440000",
"crn": "crn:spo1:database:backup:550e8400-e29b-41d4-a716-446655440000",
"name": "backup-2024-01-15",
"description": "string",
"status": "COMPLETED",
"instance_id": "550e8400-e29b-41d4-a716-446655440001",
"parent_id": "550e8400-e29b-41d4-a716-446655440000",
"size": 0,
"datastore": {
"type": "postgresql",
"version": "15.4",
"version_id": "550e8400-e29b-41d4-a716-446655440000"
},
"location_ref": "string",
"created_at": "2024-01-15T10:30:00Z",
"updated_at": "2024-01-15T10:30:00Z"
}
}